org.apache.maven.project.validation

## Class ModelValidationResult

- java.lang.Object
- - org.apache.maven.project.validation.ModelValidationResult

-     public class ModelValidationResult
      extends java.lang.Object

  Version:
    $Id: ModelValidationResult.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelValidationResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMessage(java.lang.String message)`
    `java.lang.String` | `getMessage(int i)`
    `int` | `getMessageCount()`
    `java.util.List` | `getMessages()`
    `java.lang.String` | `render(java.lang.String indentation)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelValidationResult

          public ModelValidationResult()

  - ### Method Detail

    - #### getMessageCount

          public int getMessageCount()

    - #### getMessage

          public java.lang.String getMessage(int i)

    - #### getMessages

          public java.util.List getMessages()

    - #### addMessage

          public void addMessage(java.lang.String message)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### render

          public java.lang.String render(java.lang.String indentation)